# ApplicationFramework
TKLCAF
TDF

# TDF_Reference Class Reference

`#include <TDF_Reference.hxx>`

Inheritance diagram for TDF_Reference:

[legend]

## Public Member Functions

Standard_EXPORT void | Set (const TDF_Label &Origin)
Standard_EXPORT TDF_Label | Get () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&DS) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT | TDF_Reference ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_TDF_Reference | Set (const TDF_Label &I, const TDF_Label &Origin)

## Private Attributes

TDF_Label | myOrigin

## Constructor & Destructor Documentation

Standard_EXPORT TDF_Reference::TDF_Reference | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDF_Reference::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT TDF_Label TDF_Reference::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDF_Reference::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDF_Reference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDF_Reference::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDF_Reference::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDF_Reference::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDF_Reference::References | ( | const Handle(TDF_DataSet)& | DS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TDF_Reference::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDF_Reference::Set | ( | const TDF_Label & | Origin | ) |

static Standard_EXPORT Handle_TDF_Reference TDF_Reference::Set | ( | const TDF_Label & | I,
|  | const TDF_Label & | Origin
| ) | `[static]`

## Field Documentation

TDF_Label TDF_Reference::myOrigin `[private]`

The documentation for this class was generated from the following file:

- TDF_Reference.hxx